Name:          python-systemd
Epoch:         1
Version:       235
Release:       3mamba
Summary:       Python systemd wrapper using Cython
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/systemd/python-systemd
Source:        https://github.com/systemd/python-systemd.git/v%{version}/python-systemd-%{version}.tar.bz2
#Source:        https://pypi.debian.net/systemd/systemd-%{version}.tar.gz
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libpython311-devel
BuildRequires: libsystemd-devel
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)

%changelog
* Wed Sep 27 2023 Automatic Build System <autodist@mambasoft.it> 235-3mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Tue Apr 11 2023 Sdk Build System <sdk@mambasoft.it> 235-2mamba
- rebuilt with python 3.10

* Wed Aug 17 2022 Automatic Build System <autodist@mambasoft.it> 235-1mamba
- automatic version update by autodist

* Mon Mar 15 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 234-1mamba
- update to 234

* Thu Nov 19 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.16.1-1mamba
- update to 0.16.1

* Wed Feb 06 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 234-1mamba
- update to 234
- package created using the webbuild interface
